package kr.co.compcarecompany.Data.Product;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.File;
import java.util.ArrayList;

import kr.co.compcarecompany.Data.ArrayItem;
import kr.co.compcarecompany.Data.Company.WorkData;
import kr.co.compcarecompany.Data.FileDatum;

public class ReportData {

    @SerializedName("cp_idx")
    @Expose
    private String cpIdx;

    @SerializedName("ar_idx")
    @Expose
    private String arIdx;

    @SerializedName("wo_idx")
    @Expose
    private String wo_idx;

    @SerializedName("cp_name")
    @Expose
    private String cpName;

    @SerializedName("mc_airline")
    @Expose
    private String mcAirline;

    @SerializedName("ar_worker")
    @Expose
    private String arWorker;

    @SerializedName("ar_content")
    @Expose
    private String arContent;

    @SerializedName("ar_content_quick")
    @Expose
    private String arContentQuick;

    @SerializedName("ar_work_date")
    @Expose
    private String arWorkDate;

    @SerializedName("pd_name_arr")
    @Expose
    private ArrayList<ProductData> pdNameArr;

    @SerializedName("wr_worker_name2")
    @Expose
    private String wrWorkerName2;

    @SerializedName("wr_memo_report")
    @Expose
    private String wrMemoReport;

    @SerializedName("wr_memo_report_sub")
    @Expose
    private String wrMemoReportSub;

    @SerializedName("wr_enddt")
    @Expose
    private String wrEnddt;

    @SerializedName("wo_memo")
    @Expose
    private String woMemo;

    @SerializedName("wo_calldt")
    @Expose
    private String woCalldt;

    @SerializedName("pd_name")
    @Expose
    private String pdName;

    @SerializedName("photo_list")
    @Expose
    private ArrayList<FileDatum> photoList;

    @SerializedName("mc_lot")
    @Expose
    private String mcLot;

    @SerializedName("sensor")
    @Expose
    private String sensor;

    @SerializedName("sensor_value")
    @Expose
    private String sensorValue;

    @SerializedName("sensor_arr")
    @Expose
    private ArrayList<AlarmData> sensorArr;

    @SerializedName("mc_iot_mac")
    @Expose
    private String mcIotMac;

    @SerializedName("max_sensor_value")
    @Expose
    private String maxSensorValue;

    @SerializedName("report_list")
    @Expose
    private ArrayList<ReportData> reportList;


    boolean show_name_all = false;

    public String getArIdx() {
        return arIdx;
    }

    public String getWo_idx() {
        return wo_idx;
    }

    public String getCpName() {
        return cpName;
    }

    public String getMcAirline() {
        return mcAirline;
    }

    public String getArWorker() {
        return arWorker;
    }

    public String getArContent() {
        return arContent;
    }

    public String getArContentQuick() {
        return arContentQuick;
    }

    public String getArWorkDate() {
        return arWorkDate;
    }

    public ArrayList<ProductData> getPdNameArr() {
        return pdNameArr;
    }

    public String getWrWorkerName2() {
        return wrWorkerName2;
    }

    public String getWrMemoReport() {
        return wrMemoReport;
    }

    public String getWrMemoReportSub() {
        return wrMemoReportSub;
    }

    public String getWrEnddt() {
        return wrEnddt;
    }

    public String getWoMemo() {
        return woMemo;
    }

    public String getWoCalldt() {
        return woCalldt;
    }

    public String getPdName() {
        return pdName;
    }

    public ArrayList<FileDatum> getPhotoList() {
        return photoList;
    }

    public boolean isShow_name_all() {
        return show_name_all;
    }

    public void setShow_name_all(boolean show_name_all) {
        this.show_name_all = show_name_all;
    }

    public String getCpIdx() {
        return cpIdx;
    }

    public String getMcLot() {
        return mcLot;
    }

    public String getSensor() {
        return sensor;
    }

    public String getSensorValue() {
        return sensorValue;
    }

    public ArrayList<AlarmData> getSensorArr() {
        return sensorArr;
    }

    public String getMcIotMac() {
        return mcIotMac;
    }

    public String getMaxSensorValue() {
        return maxSensorValue;
    }
}
